Provisioning
Device provisioning and activation
Generate a provision token for device activation
Required permissions, when user-scoped authentication is used: PROVISION_DEVICES. User-scoped tokens that set ownerId different from authenticated user ID also require ORG_VIEW_USERS.
OAuth2 Bearer token obtained from authentication endpoint
Organization ID, in which device should be created.
101User ID, to which device will be assigned.
101Provision token
Provision token value
gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSOID of the device associated with this token
101Bad request
Forbidden
Organization/user not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/provision/token HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"orgId": 101,
"ownerId": 101
}{
"token": "gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSO",
"deviceId": 101
}Send a reconfigure command to a device, putting it into access point mode for re-provisioning.
Required permissions, when user-scoped authentication is used: PROVISION_DEVICES. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can reconfigure only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
101Reconfigure message sent successfully
Whether the device is offline (true if both Blynk and MQTT channels are offline)
trueBad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/provision/reconfigure HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"deviceId": 101
}{
"deviceIsOffline": true
}Generate a re-provision token for an existing device. Re-provisioning creates a new token but preserves the device ID and all other device data.
Required permissions, when user-scoped authentication is used: PROVISION_DEVICES. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can re-provision only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
ID of the existing device to re-provision.
101Re-provision token
Provision token value
gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSOID of the device associated with this token
101Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/provision/reprovision/token HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"deviceId": 101
}{
"token": "gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSO",
"deviceId": 101
}Last updated
Was this helpful?

